body {
    background-color: gainsboro;
    display: flex;
    flex-direction: column;
    font-family: Open Sans, Arial, Helvetica, Sans-serif;
    color: #222;
}
header {
    text-align: center;
    font-size: 28px;
    font-style: bold;
    margin: 3% 5% 3% 5%;
}
img {
    width: 100%;
    height: 100%;
}
.content {
    display: flex;
    justify-content: space-around;
}
.menu {
    display: flex;
    width: 250px;
    flex-direction: column;
    background-color: gray;
    min-width: 200px;
}
.menu label {
    font-size: 25px;
    border-bottom: 1px white solid;
    height: 50px;
    width: 100%;    
    display: flex;
    justify-content: space-around;
    align-items: center;
    
}

.cats {
    display: grid;
    grid-template-rows: repeat(4,140px);
    grid-template-columns: repeat(3,1fr);
    width: auto;
    height: auto;
    gap: 10px;
    min-width: 600px;
    max-width: 1000px;
}
input.cats {
    display: none;

}
div.menu label:hover {
    font-size: 26px;
}
input#sfinx:checked ~ div.menu label:nth-of-type(1) {
    background: #000;
    color: white;
}
input#scot:checked ~ div.menu label:nth-of-type(2) {
    background: #000;
    color: white;
}
input#rus:checked ~ div.menu label:nth-of-type(3) {
    background: #000;
    color: white;
}
input#pers:checked ~ div.menu label:nth-of-type(4) {
    background: #000;
    color: white;
}
input#sfinx:checked ~ div.cats div:not([class="sfinx"]){
    opacity: .5;
}
input#sfinx:checked ~ div.cats div.sfinx{
    opacity: 1 !important;
}
input#scot:checked ~ div.cats div:not([class="scot"]){
    opacity: .5;
}
input#scot:checked ~ div.cats div.scot{
    opacity: 1 !important;
}
input#rus:checked ~ div.cats div:not([class="rus"]){
    opacity: .5;
}
input#rus:checked ~ div.cats div.rus{
    opacity: 1 !important;
}
input#pers:checked ~ div.cats div:not([class="pers"]){
    opacity: .5;
}
input#pers:checked ~ div.cats div.pers{
    opacity: 1 !important;
}

img.cat:hover ~ p.text{
    display: block;
}
.text {
    position: absolute;
    margin-top: -60px;
    background:rgba(0, 0, 0, .5);
    height: 50px;
    width: 150px;
    color: white;
    font-size: 20px;
    text-align: center;
    line-height: 50px;
    display: none;
    }
    div.cats div:nth-child(1) {
    grid-column: 1;
    grid-row: 1;
}
div.cats div:nth-child(2) {
    grid-column: 2/4;
    grid-row: 1;
}
div.cats div:nth-child(3) {
    grid-column: 1;
    grid-row: 2;
}
div.cats div:nth-child(4) {
    grid-column: 2;
    grid-row: 2;
}
div.cats div:nth-child(5) {
    grid-column: 3;
    grid-row: 2;
}
div.cats div:nth-child(6) {
    grid-column: 1/3;
    grid-row: 3;
}
div.cats div:nth-child(7) {
    grid-column: 3;
    grid-row: 3;
}
div.cats div:nth-child(8) {
    grid-column: 1/4;
    grid-row: 4;
}
.rating {
    display: flex;
    width: 250px;
    background: gray;
    align-self: flex-start; 
    flex-direction: row;
    padding: 10px;
    flex-wrap: wrap;
}
.rating p.rtext {
    text-transform: uppercase;
    color: red;
    text-align: left;
    font-size: 30px;
    margin: 0;
    width: 250px;
}
.block-sort {
    display: flex;
    flex-direction: column;
}
.scaleblock {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.scaleblock div {
    height: 20px;
}
div.sort p {
    font-size: 20px;
    margin: 7px 0;
}
span {
    font-size: 20px;
    font-weight: bold;
}
.scale1 {
    width: 180px;
    background: linear-gradient(to right,green,white);
}
.scale2 {
    width: 160px;
    background: linear-gradient(to right,yellow,white);
}
.scale3 {
    width: 200px;
    background: linear-gradient(to right,green,white);
}
.scale4 {
    width: 95px;
    background: linear-gradient(to right,red,white);
}

.rating input:checked ~ .block-sort .sort {
    order: var(--default);
}
.rating label {
    margin-left: 45%;
}
span.adress {
    color: blue;
    font-weight: normal;
    font-size: 20px;
}
footer {
    font-size: 20px;
    margin-top: 5px;
    border-top: gray 1px solid;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
footer p {
    margin: 0;
}
